---
title: Australia Residential Lookup
slug: api/australia-residential-lookup
icon: {"faIcon":"fa-solid fa-ellipsis-vertical"}
createdAt: 2025-02-28T00:26:19.727Z
---

**Data Zoo’s proprietary opt-in permission based marketing database.**  &#x20;

For Authorization [Get Session Token ](https://app.archbee.com/public/PREVIEW-hnayPWtSAEmBvPEAR1R0A/PREVIEW-xqss5K2lV8fJT_0PV5DBk)from Authentication page.

:::ApiMethodV2
```json
{
  "name": "Australia Residential Lookup",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – Returns KYC verification\n* Consumer Consent – N/A\n* Mandatory Input – Name and Phone number\n* Verifies – Name, DOB, Address and Phone (indicating landline or mobile) number\n* Returned Data - identity of the data source",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQxNTY0NTUwLCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU1MzA5MTgsImV4cCI6MTc0MTU5MzM1MCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.Dk7sBvIL8xho20_QBvRqS36zvWJI4FDWxUzOQdEMEspAM4HiYAnRZ1A39eNbhuuOh_479AgA0llrXFvMzS0DNw' \\\n--data '{\n    \"countryCode\": \"AU\",\n    \"service\": [\n        \"Australia Residential Lookup\"\n    ],\n    \"clientReference\": \"Test_0001\",\n    \"firstName\": \"Aloysius\",\n    \"middleName\": \"Jefferson\",\n    \"lastName\": \"Pasco\",\n    \"dateOfBirth\": \"1946-11-01\", \n    \"addressElement1\": \"30 Plane Tree Green\", \n    \"addressElement3\": \"Forrestfield\", \n    \"addressElement4\": \"WA\", \n    \"addressElement5\": \"6058\", \n    \"identityVariables\": {\n        \"phoneNo\": \"0487787402\" \n        \n    }\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"countryCode\": \"Australia\",\n    \"clientReference\": \"Test_0001\",\n    \"reportingReference\": \"DZ-7905e55c-0ebf-4857-9958-878642e720bc\",\n    \"matchStatus\": \"Full Match 1+1 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": false,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Australia Residential Lookup\": {\n            \"status\": 1,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"N/A\",\n            \"nameMatchScore\": \"A1\",\n            \"addressMatchScore\": \"0\",\n            \"verifications\": {\n                \"addressElement1\": true,\n                \"addressElement3\": true,\n                \"addressElement4\": true,\n                \"addressElement5\": true,\n                \"dateOfBirth\": true,\n                \"firstName\": true,\n                \"landlineNumber\": false,\n                \"lastName\": true,\n                \"middleName\": false,\n                \"mobileNumber\": true\n            },\n            \"returnedData\": {\n                \"source\": \"DZ1\"\n            }\n        }\n    },\n    \"remarks\": []\n}"
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Residential Lookup"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "optional",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "optional",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "optional",
            "type": "string",
            "description": "the postcode of the address of the identity owner"
          },
          {
            "name": "identityVariables",
            "kind": "required",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "required",
                "type": "string",
                "description": "mobile or landline phone number of the identity owner"
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Residential Lookup"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "optional",
            "type": "string",
            "description": "the street level address of the identity owner"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "optional",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "optional",
            "type": "string",
            "description": "the postcode of the address of the identity owner"
          },
          {
            "name": "identityVariables",
            "kind": "required",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "required",
                "type": "string",
                "description": "mobile or landline phone number of the identity owner"
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Australia",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"No Match\""
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "\"\"\nerror message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "Verification Details with \"Australia Residential Lookup\" returned as the Service Identifier. ",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "\"\"\nerror message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "\"N/A\"\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "metrix used for name matching logic."
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "metrix used for name matching logic.\n"
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "element level verification returned as true or false\n[Only applicable elements will be included, and not all elements may be present]",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement4",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "landlineNumber",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "middleName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "mobileNumber",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "returns additional data from the data source.",
          "children": [
            {
              "name": "source",
              "kind": "optional",
              "type": "string",
              "description": "identifies the data source used "
            }
          ]
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues or pre-validation errors.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "australia-residential-lookup",
  "legacyHash": "U_LXPMNj7k-VmJW4Co_Dw"
}
```
:::

***

::::hint{type="info"}
**Links**

:::CtaButton{label="About Safe Harbour Scores" docId="9Fe9gAz4I566ohH2Thslq" openInNewTab="true"}

:::
::::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="added" description="Last updated - 10 March, 2025"}
:::

